package ink.wgink.pojo.dtos.role;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoleDataAuthority
 * @Description: 角色数据权限
 * @Author: WangGeng
 * @Date: 2019/11/25 5:42 下午
 * @Version: 1.0
 **/
@ApiModel
public class RoleDataRightDTO implements Serializable {

    private static final long serialVersionUID = -537349124664914120L;
    @ApiModelProperty(name = "roleId", value = "角色ID")
    private String roleId;
    @ApiModelProperty(name = "userId", value = "人员ID")
    private String userId;

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleId\":")
                .append("\"").append(roleId).append("\"");
        sb.append(",\"userId\":")
                .append("\"").append(userId).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
